Package org.eclipse.graphiti.ui.internal.editor

# Class RefreshPerformanceCache

java.lang.Object
org.eclipse.graphiti.ui.internal.editor.RefreshPerformanceCache

public class RefreshPerformanceCache extends Object

## Constructor Summary

Constructors
Constructor
Description
`RefreshPerformanceCache()`

## Method Summary

Modifier and Type
Method
Description
`void`
`initRefresh()`
Inits the refresh.
`boolean`
`shouldRefresh(Object obj)`
Answers if a refresh should be triggered for an object of type `GraphicsAlgorithm` `PictogramElement` `EditPart` If the supplied argument is of another type an `IllegalArgumentException` is thrown.

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### RefreshPerformanceCache

public RefreshPerformanceCache()

## Method Details

### initRefresh

public void initRefresh()
Inits the refresh.

### shouldRefresh

public boolean shouldRefresh(Object obj)
Answers if a refresh should be triggered for an object of type

- `GraphicsAlgorithm`
- `PictogramElement`
- `EditPart`

If the supplied argument is of another type an `IllegalArgumentException` is thrown.

Parameters:
  `obj` -
Returns:
  true if the supplied object should be refreshed, false otherwise.